### Method

# Fwupd Device set_id

since: 0.9.3

#### Declaration [src]

    void
    fwupd_device_set_id (
      FwupdDevice* self,
      const gchar* id
    )

#### Description [src]

Sets the ID.

Available since: 0.9.3

Sets property | `Fwupd.Device:id`

#### Parameters

`id`

  Type: `const gchar*`

  The device ID, usually a SHA1 hash.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.